import React from 'react'
import ActionButtons from '../ActionButtons'

type Props = {
  link: string,
  close: () => void,
  copyLink: () => void,
}

const CopyKlinkDialog = ({
  link,
  copyLink,
  close,
}: Props) => {
  return (
    <div>
      <h3>Below is your Klink</h3>
      <p>{link}</p>
      <ActionButtons actionName="Copy" action={copyLink} close={close} />
    </div>
  )
}

export default CopyKlinkDialog
