import React  from 'react'

type Props = {
  message: string
  close: () => void,
}

const KlinkErrorDialog = ({
  message,
  close,
}: Props) => {
  return (
    <div>
      <div>{ message }</div>
      <button onClick={close}>Close</button>
    </div>
  )
}

export default KlinkErrorDialog
