interface Window {
  api: {
    isDev: () => boolean
    getClipboardText: () => string
    writeClipboardText: (text: string) => void
    close: () => void
    getAuthDetails: () => AuthDetails | null
    login: (phone: string, password: string) => Promise<AuthDetails>
    loginWithKloke: () => void
    confirmTfa: (code: string) => Promise<void>
    createKlink: (klinkRequest: KlinkDetails) => Promise<{ token: string; url: string }>
    editKlink: (token: string, klinkRequest: KlinkDetails) => Promise<void>
    readKlink: (token: string) => Promise<EditKlinkDetails | ViewKlinkDetails>
    getCurrentUserKlinks: () => Promise<KlinkList>
    generateKlink: (token: string) => string
    getTarget: () => string | null
  }
}
